# Copyright (C) 2002 Hewlett Packard
# Licensed under the GNU General Public License

# This is to be pulled into the API to define tests
# currently these only work for HP-UX

$GLOBAL_TEST{'AccountSecurity'}{'create_securetty'} = 
    sub { 
	# location of the securetty file
	my $securetty = &getGlobal('FILE',"securetty");
	# if the securetty file exists then
	if(-e $securetty) {
	    # if a console line is found then
	    if(&B_match_line($securetty,"\^\\s\*console\\s\*\$")) {
		# don't ask the question
		return 1;
	    }
	}
	
	# otherwise ask the question.
	return 0;
    };

$GLOBAL_TEST{'AccountSecurity'}{'shadowed_passwords'} =
    sub {
	# location of shadow password file
	my $shadow = &getGlobal('FILE','shadow');
	# if shadowed password file exists
	if( -e $shadow){
	    # don't ask the question
	    return 1;
	}
	# otherwise ask the question.
	return 0;
	

    };

$GLOBAL_TEST{'AccountSecurity'}{'BOOT_AUTH'} =
    sub {
	# location of system default security file.
	my $defaultSecurity = &getGlobal('FILE',"security");
	# if the BOOT_AUTH variable is set to 1 in the default
	# security file then.
	if(&B_match_line($defaultSecurity, '^\s*BOOT_AUTH\s*=\s*1')) {
	    # do not ask the question
	    return 1;
	}
	# otherwise ask the question
	return 0;
    };

