# Copyright (C) 2002 Hewlett Packard
# Licensed under the GNU General Public License

# This is to be pulled into the API to define tests
# currently these only work for HP-UX

$GLOBAL_TEST{'Apache'}{'deactivate_hpapache2'} = 
    sub {
	# see if the hpapache2 service is scheduled to run
	my $isServiceOff =  &B_is_service_off('apache');
	if(defined $isServiceOff && $isServiceOff == 0) {
	    # if it is running ask the question
	    return 0;
	}
	else {
	    # otherwise don't ask the question
	    return 1;
	}
    };

$GLOBAL_TEST{'Apache'}{'chrootapache'} = 
    sub { 
	# location of httpd.conf file for apache V.1.3.x
	my $httpd_conf_1_3 = &getGlobal('FILE',"httpd.conf");
	# location of chroot os cp script for apache V.2.0.x
	my $chroot_os_cp_1_3 = &getGlobal('FILE',"chroot_os_cp.sh");

	# location of httpd.conf file for apache V.2.0.x
	my $httpd_conf_2_0 = &getGlobal('FILE',"httpd.conf2");
	# location of chroot os cp script for apache V.2.0.x
	my $chroot_os_cp_2_0 = &getGlobal('FILE',"chroot_os_cp.sh2");

	# if a httpd.conf file and a chroot_os_cp.sh file exist for Apache 1.3 then
	if(-e $httpd_conf_1_3 && -e $chroot_os_cp_1_3){
	    # if Apache 1.3 has not already been chrooted then
	    if(! &B_match_line($httpd_conf_1_3,"\^\\s\*Chroot\\s\+\.\+\$")){
		# ask the question
		return 0;
	    }
	}

	# if a httpd.conf file and a chroot_os_cp.sh file exist for Apache 2.0 then
	if(-e $httpd_conf_2_0 && -e $chroot_os_cp_2_0){
	    # if Apache 2.0 has not already been chrooted then
	    if(! &B_match_line($httpd_conf_2_0,"\^\\s\*Chroot\\s\+\.\+\$")){
		# ask the question
		return 0;
	    }
	}

	# if niether apache version can be chrooted or if
	# they have already been chrooted then don't ask
	# the question
	return 1;

    };

